Athena
Api keysId

Update or delete an API key

Updates API key metadata, optional client binding, activation state, expiration, and grants.

PATCH
/admin/api-keys/{id}

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Request Body

application/json

name?string
description?|
client_name?|
expires_at?|
Formatdate-time
is_active?boolean
rights?array<>

Response Body

application/json

application/json

curl -X PATCH "https://athena-cluster.com/admin/api-keys/{id}" \  -H "apikey: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "record": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "public_id": "string",
    "name": "string",
    "description": "string",
    "client_name": "string",
    "expires_at": "2019-08-24T14:15:22Z",
    "is_active": true,
    "last_used_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "rights": [
      "string"
    ]
  }
}
Empty
{
  "status": "error",
  "message": "string",
  "error": "string"
}